/*
 * Decompiled with CFR 0.152.
 * 
 * Could not load the following classes:
 *  com.alibaba.fastjson.JSON
 *  com.deepexi.scd.calculate.domain.vo.CalculateReportLayoutObjectVO
 *  com.deepexi.scd.calculate.domain.vo.report.ExportReportLayoutVO
 *  com.deepexi.scd.calculate.service.impl.report.base.BaseTemplateService
 *  com.deepexi.scd.calculate.service.impl.report.policy.activity.RowspanPolicy
 *  com.deepoove.poi.config.Configure
 *  com.deepoove.poi.policy.RenderPolicy
 *  org.springframework.stereotype.Service
 */
package com.deepexi.scd.calculate.service.impl.report;

import com.alibaba.fastjson.JSON;
import com.deepexi.scd.calculate.domain.vo.CalculateReportLayoutObjectVO;
import com.deepexi.scd.calculate.domain.vo.report.ExportReportLayoutVO;
import com.deepexi.scd.calculate.service.impl.report.base.BaseTemplateService;
import com.deepexi.scd.calculate.service.impl.report.policy.activity.RowspanPolicy;
import com.deepoove.poi.config.Configure;
import com.deepoove.poi.policy.RenderPolicy;
import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import org.apache.commons.lang3.time.DateFormatUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

@Service
public class IndustryReport441_2
extends BaseTemplateService {
    private static final Logger log = LoggerFactory.getLogger(IndustryReport441_2.class);
    private static final String TEMPLATE_NAME = "industryTemplate441_2.docx";

    public void exportTemplate(ExportReportLayoutVO exportReportLayoutVO, Map<String, Object> paramMap) throws Exception {
        log.info("exportReportLayoutVO={}", (Object)JSON.toJSONString((Object)exportReportLayoutVO));
        paramMap.put("tplName", TEMPLATE_NAME);
        List totalList = (List)exportReportLayoutVO.getTotalMap().get("TOTAL");
        Map totalMap = this.getCalculateReportTotalMap(totalList);
        List reportLayoutActivityList = (List)exportReportLayoutVO.getTableMap().get("ACTIVITY");
        Map<String, List> activityMap = reportLayoutActivityList.stream().collect(Collectors.toMap(CalculateReportLayoutObjectVO::getObjectName, CalculateReportLayoutObjectVO::getItemList));
        List activityList = this.getActivityListMap(activityMap, Arrays.asList("化石燃料燃烧", "化石燃料燃烧-发电"), "化石燃料燃烧");
        Map sulfurActivityVO = this.getActivityMap(activityMap, "脱硫过程");
        Map powerActivityVO = this.getActivityMap(activityMap, "购入电力");
        List reportLayoutFactorList = (List)exportReportLayoutVO.getTableMap().get("FACTOR");
        Map<String, List> factorMap = reportLayoutFactorList.stream().collect(Collectors.toMap(CalculateReportLayoutObjectVO::getObjectName, CalculateReportLayoutObjectVO::getItemList));
        List factorList = this.getFactorListMap(factorMap, Arrays.asList("化石燃料燃烧", "化石燃料燃烧-发电"), "化石燃料燃烧");
        Map sulfurFactorVO = this.getFactorMap(factorMap, "脱硫过程");
        Map powerFactorVO = this.getFactorMap(factorMap, "购入电力");
        RowspanPolicy rowspanPolicy = new RowspanPolicy(0, "排放源类别");
        Configure config = Configure.newBuilder().bind("activityList", (RenderPolicy)rowspanPolicy).bind("factorList", (RenderPolicy)rowspanPolicy).build();
        paramMap.put("enterpriseName", exportReportLayoutVO.getEnterpriseName());
        paramMap.put("totalMap", totalMap);
        paramMap.put("activityList", activityList);
        paramMap.put("sulfurActivityVO", sulfurActivityVO);
        paramMap.put("powerActivityVO", powerActivityVO);
        paramMap.put("factorList", factorList);
        paramMap.put("sulfurFactorVO", sulfurFactorVO);
        paramMap.put("powerFactorVO", powerFactorVO);
        paramMap.put("reportTime", DateFormatUtils.format(exportReportLayoutVO.getReportTime(), "yyyy年MM月dd日"));
        paramMap.put("config", config);
    }

    public String getTemplateName() {
        return TEMPLATE_NAME;
    }
}

